net.minecraft.network

## Class NetHandlerPlayServer

- java.lang.Object
- - net.minecraft.network.NetHandlerPlayServer

- All Implemented Interfaces:
    INetHandler, INetHandlerPlayServer

      public class NetHandlerPlayServer
      extends java.lang.Object
      implements INetHandlerPlayServer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NetworkManager` | `netManager`
    `EntityPlayerMP` | `playerEntity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetHandlerPlayServer(MinecraftServer par1MinecraftServer, NetworkManager par2INetworkManager, EntityPlayerMP par3EntityPlayerMP)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkManager` | `func_147362_b()`
    `void` | `kickPlayerFromServer(java.lang.String p_147360_1_)`
    `void` | `onConnectionStateTransition(EnumConnectionState p_147232_1_, EnumConnectionState p_147232_2_)`
    `void` | `onDisconnect(IChatComponent p_147231_1_)`
    `void` | `onNetworkTick()`
    `void` | `processAnimation(C0APacketAnimation p_147350_1_)`
    `void` | `processChatMessage(C01PacketChatMessage p_147354_1_)`
    `void` | `processClickWindow(C0EPacketClickWindow p_147351_1_)`
    `void` | `processClientSettings(C15PacketClientSettings p_147352_1_)`
    `void` | `processClientStatus(C16PacketClientStatus p_147342_1_)`
    `void` | `processCloseWindow(C0DPacketCloseWindow p_147356_1_)`
    `void` | `processConfirmTransaction(C0FPacketConfirmTransaction p_147339_1_)`
    `void` | `processCreativeInventoryAction(C10PacketCreativeInventoryAction p_147344_1_)`
    `void` | `processEnchantItem(C11PacketEnchantItem p_147338_1_)`
    `void` | `processEntityAction(C0BPacketEntityAction p_147357_1_)`
    `void` | `processHeldItemChange(C09PacketHeldItemChange p_147355_1_)`
    `void` | `processInput(C0CPacketInput p_147358_1_)`
    `void` | `processKeepAlive(C00PacketKeepAlive p_147353_1_)`
    `void` | `processPlayer(C03PacketPlayer p_147347_1_)`
    `void` | `processPlayerAbilities(C13PacketPlayerAbilities p_147348_1_)`
    `void` | `processPlayerBlockPlacement(C08PacketPlayerBlockPlacement p_147346_1_)`
    `void` | `processPlayerDigging(C07PacketPlayerDigging p_147345_1_)`
    `void` | `processTabComplete(C14PacketTabComplete p_147341_1_)`
    `void` | `processUpdateSign(C12PacketUpdateSign p_147343_1_)`
    `void` | `processUseEntity(C02PacketUseEntity p_147340_1_)`
    `void` | `processVanilla250Packet(C17PacketCustomPayload p_147349_1_)`
    `void` | `sendPacket(Packet p_147359_1_)`
    `void` | `setPlayerLocation(double p_147364_1_, double p_147364_3_, double p_147364_5_, float p_147364_7_, float p_147364_8_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### netManager

          public final NetworkManager netManager

    - #### playerEntity

          public EntityPlayerMP playerEntity

  - ### Constructor Detail

    - #### NetHandlerPlayServer

          public NetHandlerPlayServer(MinecraftServer par1MinecraftServer,
                              NetworkManager par2INetworkManager,
                              EntityPlayerMP par3EntityPlayerMP)

  - ### Method Detail

    - #### onNetworkTick

          public void onNetworkTick()

      Specified by:
        `onNetworkTick` in interface `INetHandler`

    - #### func_147362_b

          public NetworkManager func_147362_b()

    - #### kickPlayerFromServer

          public void kickPlayerFromServer(java.lang.String p_147360_1_)

    - #### processInput

          public void processInput(C0CPacketInput p_147358_1_)

      Specified by:
        `processInput` in interface `INetHandlerPlayServer`

    - #### processPlayer

          public void processPlayer(C03PacketPlayer p_147347_1_)

      Specified by:
        `processPlayer` in interface `INetHandlerPlayServer`

    - #### setPlayerLocation

          public void setPlayerLocation(double p_147364_1_,
                               double p_147364_3_,
                               double p_147364_5_,
                               float p_147364_7_,
                               float p_147364_8_)

    - #### processPlayerDigging

          public void processPlayerDigging(C07PacketPlayerDigging p_147345_1_)

      Specified by:
        `processPlayerDigging` in interface `INetHandlerPlayServer`

    - #### processPlayerBlockPlacement

          public void processPlayerBlockPlacement(C08PacketPlayerBlockPlacement p_147346_1_)

      Specified by:
        `processPlayerBlockPlacement` in interface `INetHandlerPlayServer`

    - #### onDisconnect

          public void onDisconnect(IChatComponent p_147231_1_)

      Specified by:
        `onDisconnect` in interface `INetHandler`

    - #### sendPacket

          public void sendPacket(Packet p_147359_1_)

    - #### processHeldItemChange

          public void processHeldItemChange(C09PacketHeldItemChange p_147355_1_)

      Specified by:
        `processHeldItemChange` in interface `INetHandlerPlayServer`

    - #### processChatMessage

          public void processChatMessage(C01PacketChatMessage p_147354_1_)

      Specified by:
        `processChatMessage` in interface `INetHandlerPlayServer`

    - #### processAnimation

          public void processAnimation(C0APacketAnimation p_147350_1_)

      Specified by:
        `processAnimation` in interface `INetHandlerPlayServer`

    - #### processEntityAction

          public void processEntityAction(C0BPacketEntityAction p_147357_1_)

      Specified by:
        `processEntityAction` in interface `INetHandlerPlayServer`

    - #### processUseEntity

          public void processUseEntity(C02PacketUseEntity p_147340_1_)

      Specified by:
        `processUseEntity` in interface `INetHandlerPlayServer`

    - #### processClientStatus

          public void processClientStatus(C16PacketClientStatus p_147342_1_)

      Specified by:
        `processClientStatus` in interface `INetHandlerPlayServer`

    - #### processCloseWindow

          public void processCloseWindow(C0DPacketCloseWindow p_147356_1_)

      Specified by:
        `processCloseWindow` in interface `INetHandlerPlayServer`

    - #### processClickWindow

          public void processClickWindow(C0EPacketClickWindow p_147351_1_)

      Specified by:
        `processClickWindow` in interface `INetHandlerPlayServer`

    - #### processEnchantItem

          public void processEnchantItem(C11PacketEnchantItem p_147338_1_)

      Specified by:
        `processEnchantItem` in interface `INetHandlerPlayServer`

    - #### processCreativeInventoryAction

          public void processCreativeInventoryAction(C10PacketCreativeInventoryAction p_147344_1_)

      Specified by:
        `processCreativeInventoryAction` in interface `INetHandlerPlayServer`

    - #### processConfirmTransaction

          public void processConfirmTransaction(C0FPacketConfirmTransaction p_147339_1_)

      Specified by:
        `processConfirmTransaction` in interface `INetHandlerPlayServer`

    - #### processUpdateSign

          public void processUpdateSign(C12PacketUpdateSign p_147343_1_)

      Specified by:
        `processUpdateSign` in interface `INetHandlerPlayServer`

    - #### processKeepAlive

          public void processKeepAlive(C00PacketKeepAlive p_147353_1_)

      Specified by:
        `processKeepAlive` in interface `INetHandlerPlayServer`

    - #### processPlayerAbilities

          public void processPlayerAbilities(C13PacketPlayerAbilities p_147348_1_)

      Specified by:
        `processPlayerAbilities` in interface `INetHandlerPlayServer`

    - #### processTabComplete

          public void processTabComplete(C14PacketTabComplete p_147341_1_)

      Specified by:
        `processTabComplete` in interface `INetHandlerPlayServer`

    - #### processClientSettings

          public void processClientSettings(C15PacketClientSettings p_147352_1_)

      Specified by:
        `processClientSettings` in interface `INetHandlerPlayServer`

    - #### processVanilla250Packet

          public void processVanilla250Packet(C17PacketCustomPayload p_147349_1_)

      Specified by:
        `processVanilla250Packet` in interface `INetHandlerPlayServer`

    - #### onConnectionStateTransition

          public void onConnectionStateTransition(EnumConnectionState p_147232_1_,
                                         EnumConnectionState p_147232_2_)

      Specified by:
        `onConnectionStateTransition` in interface `INetHandler`